Appcelerator Blog

The Leading Resource for All Things Mobile

Titanium SDK 3.5.1.GA now available with Node 0.12 Support

20 Flares 20 Flares ×

Node.js recently released Version 0.12 which makes some small changes in core APIs. We’re pleased to announce general availability for the Titanium CLI, SDK and Appcelerator Studio (LiveView) that offer compatibility with Node 0.12. While we are providing this update to address compatibility, we DO NOT recommend updating to Node 0.12 unless you have specific reasons for doing so.

This release addresses the following:

  • Critical compatibility bugs with Node 0.12
  • High-priority iOS and Android bugs.

A full list of tickets is available via JIRA. A more in-depth discussion of the release can be found in the release notes.

Downloading Titanium 3.5.1

For new users, download Titanium 3.5.1 by clicking here.

For existing Titanium & Appcelerator Studio users, you will be prompted to update automatically on the next restart. You can also manually check for updates by selecting the “Check for Titanium SDK Updates” or “Check for Appcelerator Updates” from the “Help” menu within Studio.

Appcelerator Studio and Titanium CLI will update to version 3.4.2, not 3.5.1. This is expected.

Important Note

If you install Node 0.12, and install the SDK from CLI and don’t “ti sdk select” 3.5.1, Studio will fail to work. To fix, type “ti sdk select 3.5.1.GA” on the command line.

20 Flares Twitter 0 Facebook 0 Google+ 0 LinkedIn 20 Email -- 20 Flares ×

Sign up for updates!

Become a mobile leader. Take the first step to scale mobile innovation throughout your enterprise.
Get in touch
computer and tablet showing Appcelerator software
Start free, grow from there.
20 Flares Twitter 0 Facebook 0 Google+ 0 LinkedIn 20 Email -- 20 Flares ×